package com.rongwei.controller;

import com.rongwei.bscommon.sys.service.EmailService;
import com.rongwei.rwcommon.base.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author ：trj
 * @description：TODO
 * @date ：2023/3/29 14:46
 */
@Slf4j
@RestController
@RequestMapping("/Email")
public class EmailController {

    // 邮箱二开服务
    @Autowired
    private EmailService emailService;

    //问题跟踪： 任务spa节点走完，进入接口。看待办节点是否为SPA节点。
    // 是：给任务spa审核时间赋值；
    @PostMapping("/taskSpaAudit/{id}")
    public R taskSpaAudit(@PathVariable(name = "id") String id){
        try{
            log.info("问题跟踪：任务SPA 接口参数：{}",id);
            emailService.taskSpaAudit(id);
            return R.ok();
        }catch (Exception e){
            e.printStackTrace();
            return R.error("任务spa审核时间赋值失败");
        }

    }



    //问题跟踪： SPA跟踪节点，开始判断跟踪天数是否到期。
    // 是： 修改 ISMATURITY =200  ， DAYSMATURITYTIME= new Date()
    @GetMapping("/taskSPATrack")
    public R taskSPATrack(){
        emailService.taskSPATrack();
        return R.ok();
    }


    //8d问题跟踪： 临时措施修改时，点击暂存发送邮件
    @PostMapping("/plan/saveSendMail")
    public R planSaveSendMail(@RequestBody String id){
        try{
            log.info("问题跟踪：临时措施修改 接口参数：{}",id);
            emailService.planSaveSendMail(id);
            return R.ok();
        }catch (Exception e){
            e.printStackTrace();
            return R.error("临时措施修改时，点击暂存发送邮件失败");
        }
    }

}
